Announcement

Collapse
No announcement yet.

Upgrate 5.1.1 to 5.1.2 : Unexpected Text

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts
    Mark.B
    vBulletin Support

  • Mark.B
    replied
    Originally posted by napy8gen View Post

    the issue has never been resolved. It just stuck there. I just upload the vbulletin style xml from style manager to get the latest templates file.
    Chances are the upgrade has completed now if you've imported the xml.

    Have you tried upgrading to 5.1.3? Does the upgrade complete properly?

    Leave a comment:

  • napy8gen
    Senior Member

  • napy8gen
    replied
    Originally posted by Joe D. View Post

    I see your site has been upgraded to 5.1.2. I take it the issue was resolved.
    the issue has never been resolved. It just stuck there. I just upload the vbulletin style xml from style manager to get the latest templates file.

    Leave a comment:

  • Scalap
    New Member

  • Scalap
    replied
    Hello, same issue during the upgrade 5.1.2 to 5.1.3
    Action Required
    Unexpected Text:
    <?xml version="1.0" encoding="UTF-8"?> xml error Invalid document end, on line 6

    Leave a comment:

  • barroca
    Senior Member

  • barroca
    replied
    Thanks a lot

    Originally posted by Joe D. View Post
    FYI, the bug was added to JIRA: http://tracker.vbulletin.com/browse/VBV-13251

    I would suggest the following fix if you are getting this error.

    Edit the /core/vb/xml/import/theme.php file with a good code editor like Notepad2 or Notepad++

    Find line 357

    Change it from:

    PHP Code:
    unlink($tempIconFileLocation); // temp file deletion is not done automatically, so we must do it. 
    to

    PHP Code:
    @unlink($tempIconFileLocation); // temp file deletion is not done automatically, so we must do it. 

    That should prevent the error. If you already did it with the // then don't worry about it now, but if anyone else has the problem in the future, @ would be better than //. This will still let the line try to execute but not stop the install if it isn't able to remove the temp file.

    Leave a comment:

  • BirdOPrey5
    Senior Member

  • BirdOPrey5
    replied
    Originally posted by napy8gen View Post
    of course software you recommended Notepadd++. I am not new in file editing and uploading I do it since 2001 and can read what you wrote up there and execute it very well... I know what I am doing.

    the error is like I said above.stuck in step 18.

    Unexpected Text:
    <?xml version="1.0" encoding="UTF-8"?>
    [ATTACH=CONFIG]n4100282[/ATTACH]
    nothing else.
    I see your site has been upgraded to 5.1.2. I take it the issue was resolved.

    Leave a comment:

  • napy8gen
    Senior Member

  • napy8gen
    replied
    of course software you recommended Notepadd++. I am not new in file editing and uploading I do it since 2001 and can read what you wrote up there and execute it very well... I know what I am doing.

    the error is like I said above.stuck in step 18.

    Unexpected Text:
    <?xml version="1.0" encoding="UTF-8"?>
    Click image for larger version

Name:	Untitled-1.png
Views:	130
Size:	39.5 KB
ID:	4100282
    nothing else.
    napy8gen
    Senior Member
    Last edited by napy8gen; Sat 19 Jul '14, 7:38am.

    Leave a comment:

  • BirdOPrey5
    Senior Member

  • BirdOPrey5
    replied
    What software did you use to make the file edit? You can't use Windows Notepad- if that is what you used you should re-download the install package from the Members Area and make the change again but with a code editor like Notepad2 or Notepad++.

    If you still get the error- then please post the complete error. It is going to be a different error than you originally received. If you are getting the exact error than the file change was not uploaded or not uploaded to the correct location.

    Leave a comment:

  • napy8gen
    Senior Member

  • napy8gen
    replied
    I still get the error in step18, even after editing the theme.php - upgrading from 5.1.1 to 5.1.2pl1
    Unexpected Text:
    <?xml version="1.0" encoding="UTF-8"?>

    Leave a comment:

  • BirdOPrey5
    Senior Member

  • BirdOPrey5
    replied
    FYI, the bug was added to JIRA: http://tracker.vbulletin.com/browse/VBV-13251

    I would suggest the following fix if you are getting this error.

    Edit the /core/vb/xml/import/theme.php file with a good code editor like Notepad2 or Notepad++

    Find line 357

    Change it from:

    PHP Code:
    unlink($tempIconFileLocation); // temp file deletion is not done automatically, so we must do it. 
    to

    PHP Code:
    @unlink($tempIconFileLocation); // temp file deletion is not done automatically, so we must do it. 

    That should prevent the error. If you already did it with the // then don't worry about it now, but if anyone else has the problem in the future, @ would be better than //. This will still let the line try to execute but not stop the install if it isn't able to remove the temp file.

    Leave a comment:

  • BirdOPrey5
    Senior Member

  • BirdOPrey5
    replied
    Is there more to the error than just what you posed? The answers would be in the subsequent lines if there are any-

    Code:
    Unexpected Text
    
    <?xml version="1.0" encoding="UTF-8"?>
    My theory right now is your text editor added in some hidden characters when you made the last edit- never use Windows Notepad to edit .php files. Download Notepad2 or Notepad++ if you are on Windows, they are true code editors and don't insert hidden characters.

    Leave a comment:

  • oxrageous
    New Member

  • oxrageous
    replied
    Originally posted by mgurain View Post
    Same problem, thanks ,,
    at the beginning of line 357 put :
    //
    but could someone from vbulletin support answer why is this error ?
    Okay, putting in the "//" fixed that error. Then I got a new one:

    Unexpected Text

    <?xml version="1.0" encoding="UTF-8"?>


    Sigh. Anybody have a clue on this one?

    Leave a comment:

  • mgurain
    Senior Member

  • mgurain
    replied
    Same problem, thanks ,,
    at the beginning of line 357 put :
    //
    but could someone from vbulletin support answer why is this error ?

    Leave a comment:

  • oxrageous
    New Member

  • oxrageous
    replied
    Can anyone give me an answer here? I of course got the same damn error, and I can't figure out the exact code to place on line 357. Anyone? I thought this download was supposed to be ready, but apparently not.
    oxrageous
    New Member
    Last edited by oxrageous; Fri 11 Jul '14, 8:44pm.

    Leave a comment:

  • oxrageous
    New Member

  • oxrageous
    replied
    Can you guys write a little bit more detail about how you fixed it? I'm planning an upgrade shortly and need to know what to do if it happens to me.

    Leave a comment:

  • heredia21
    Senior Member

  • heredia21
    replied
    Originally posted by Scalap View Post
    I have fixed it in making comment into the line 357 of the theme.php file.
    After refresh de upgrade.php : it's OK
    I did the same thing, seemed to of worked that way.

    Leave a comment:

Related Topics

Collapse

Working...
X